org.apache.ignite.cache.eviction.sorted

## Interface SortedEvictionPolicyMBean

-     @MXBeanDescription(value="MBean for sorted cache eviction policy.")
      public interface SortedEvictionPolicyMBean

  MBean for sorted eviction policy.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBatchSize()` Gets batch size.
    `long` | `getCurrentMemorySize()` Gets current sorted entries queue size in bytes.
    `int` | `getCurrentSize()` Gets current size.
    `long` | `getMaxMemorySize()` Gets maximum allowed cache size in bytes.
    `int` | `getMaxSize()` Gets maximum allowed cache size.
    `void` | `setBatchSize(int batchSize)` Sets batch size.
    `void` | `setMaxMemorySize(long maxMemSize)` Sets maximum allowed cache size in bytes.
    `void` | `setMaxSize(int max)` Sets maximum allowed cache size.

- - ### Method Detail

    - #### getMaxSize

          @MXBeanDescription(value="Maximum allowed cache size.")
          int getMaxSize()

      Gets maximum allowed cache size.
      Returns:
        Maximum allowed cache size.

    - #### setMaxSize

          @MXBeanDescription(value="Set maximum allowed cache size.")
          void setMaxSize(int max)

      Sets maximum allowed cache size.
      Parameters:
        `max` - Maximum allowed cache size.

    - #### getBatchSize

          @MXBeanDescription(value="Batch size.")
          int getBatchSize()

      Gets batch size.
      Returns:
        batch size.

    - #### setBatchSize

          @MXBeanDescription(value="Set batch size.")
          void setBatchSize(int batchSize)

      Sets batch size.
      Parameters:
        `batchSize` - Batch size.

    - #### getCurrentSize

          @MXBeanDescription(value="Current sorted key set size.")
          int getCurrentSize()

      Gets current size.
      Returns:
        Current size.

    - #### getMaxMemorySize

          @MXBeanDescription(value="Maximum allowed cache size in bytes.")
          long getMaxMemorySize()

      Gets maximum allowed cache size in bytes.
      Returns:
        maximum allowed cache size in bytes.

    - #### setMaxMemorySize

          @MXBeanDescription(value="Set maximum allowed cache size in bytes.")
          void setMaxMemorySize(long maxMemSize)

      Sets maximum allowed cache size in bytes.
      Parameters:
        `maxMemSize` - Maximum allowed cache size in bytes.

    - #### getCurrentMemorySize

          @MXBeanDescription(value="Current sorted entries set size in bytes.")
          long getCurrentMemorySize()

      Gets current sorted entries queue size in bytes.
      Returns:
        current sorted entries queue size in bytes.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023